AddResourcesForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.portlet.addresource.AddResourcesForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.portlet.addresource
Class AddResourcesForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.portlet.addresource.AddResourcesForm

All Implemented Interfaces:
  java.io.Serializable

    public class AddResourcesForm

extends ResourceForm

A subclass of `ResourceForm` representing the AddGroupResources form. The purpose of this form is to add AppdefResourceValues to a AppdefGroupValue

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`AddResourcesForm()`

Method Summary
`void` | `addFunction(org.apache.struts.util.LabelValueBean b)`
`void` | `addType(org.apache.struts.util.LabelValueBean b)`
`java.lang.String[]` | `getAvailableResource()`
`java.lang.String[]` | `getAvailableResources()`
`java.util.List` | `getAvailResourceTypes()`
`java.lang.Integer` | `getFf()` Getter for property ff.
`java.lang.String` | `getFt()` Getter for property ft.
`java.util.List` | `getFunctions()` Getter for property functions.
`java.lang.String` | `getKey()` Getter for property key.
`java.lang.String` | `getNameFilter()`
`java.lang.String[]` | `getPendingResource()`
`java.lang.String[]` | `getPendingResources()`
`java.lang.Integer` | `getPsa()`
`java.lang.Integer` | `getPsp()`
`java.lang.String` | `getToken()`
`java.util.List` | `getTypes()` Getter for property types.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAvailableResource(java.lang.String[] availableResource)`
`void` | `setAvailableResources(java.lang.String[] availableResources)`
`void` | `setAvailResourceTypes(java.util.List availResourceTypes)` Sets the availResourceTypes.
`void` | `setFf(java.lang.Integer ff)` Setter for property ff.
`void` | `setFt(java.lang.String ft)` Setter for property ft.
`void` | `setFunctions(java.util.List functions)` Setter for property functions.
`void` | `setKey(java.lang.String key)` Setter for property key.
`void` | `setNameFilter(java.lang.String nameFilter)`
`void` | `setPendingResource(java.lang.String[] pendingResource)`
`void` | `setPendingResources(java.lang.String[] pendingResources)`
`void` | `setPsa(java.lang.Integer ps)`
`void` | `setPsp(java.lang.Integer ps)`
`void` | `setToken(java.lang.String token)`
`void` | `setTypes(java.util.List types)` Setter for property types.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getAetid, getDescription, getEid, getLocation, getName, getResourceType, getResourceTypes, getRid, getType, isCanModify, loadResourceValue, setAetid, setCanModify, setDescription, setEid, setLocation, setName, setResourceType, setResourceTypes, setRid, setType, updateResourceValue, validate`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddResourcesForm

    public AddResourcesForm()

Method Detail

### getAvailableResource

    public java.lang.String[] getAvailableResource()

### getAvailableResources

    public java.lang.String[] getAvailableResources()

### setAvailableResource

    public void setAvailableResource(java.lang.String[] availableResource)

### setAvailableResources

    public void setAvailableResources(java.lang.String[] availableResources)

### getPendingResource

    public java.lang.String[] getPendingResource()

### getPendingResources

    public java.lang.String[] getPendingResources()

### setPendingResource

    public void setPendingResource(java.lang.String[] pendingResource)

### setPendingResources

    public void setPendingResources(java.lang.String[] pendingResources)

### getPsa

    public java.lang.Integer getPsa()

### setPsa

    public void setPsa(java.lang.Integer ps)

### getPsp

    public java.lang.Integer getPsp()

### setPsp

    public void setPsp(java.lang.Integer ps)

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `ResourceForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ResourceForm`

### getAvailResourceTypes

    public java.util.List getAvailResourceTypes()

  Returns:
    List

### setAvailResourceTypes

    public void setAvailResourceTypes(java.util.List availResourceTypes)

  Sets the availResourceTypes.

  Parameters:
    `availResourceTypes` - The availResourceTypes to set

### getKey

    public java.lang.String getKey()

  Getter for property key.

  Returns:
    Value of property key.

### setKey

    public void setKey(java.lang.String key)

  Setter for property key.

  Parameters:
    `key` - New value of property key.

### getFt

    public java.lang.String getFt()

  Getter for property ft.

  Returns:
    Value of property ft.

### setFt

    public void setFt(java.lang.String ft)

  Setter for property ft.

  Parameters:
    `ft` - New value of property ft.

### getFf

    public java.lang.Integer getFf()

  Getter for property ff.

  Returns:
    Value of property ff.

### setFf

    public void setFf(java.lang.Integer ff)

  Setter for property ff.

  Parameters:
    `ff` - New value of property ff.

### getFunctions

    public java.util.List getFunctions()

  Getter for property functions.

  Returns:
    Value of property functions.

### setFunctions

    public void setFunctions(java.util.List functions)

  Setter for property functions.

  Parameters:
    `functions` - New value of property functions.

### addFunction

    public void addFunction(org.apache.struts.util.LabelValueBean b)

### getTypes

    public java.util.List getTypes()

  Getter for property types.

  Returns:
    Value of property types.

### setTypes

    public void setTypes(java.util.List types)

  Setter for property types.

  Parameters:
    `types` - New value of property types.

### addType

    public void addType(org.apache.struts.util.LabelValueBean b)

### getNameFilter

    public java.lang.String getNameFilter()

### setNameFilter

    public void setNameFilter(java.lang.String nameFilter)

### getToken

    public java.lang.String getToken()

### setToken

    public void setToken(java.lang.String token)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.